package client

import (
	"git.loafle.net/commons_go/rpc"
	"git.loafle.net/commons_go/rpc/client"
	crcrwf "git.loafle.net/commons_go/rpc/client/rwc/websocket/fasthttp"
)

func New(addr string, registry rpc.Registry) client.Client {

	ch := NewClientHandler(addr, registry)
	cRWCHandler := crcrwf.New()
	c := client.New(ch, cRWCHandler)

	return c
}
